Bug 171170 - New port: finance/trytond_account_de_skr03
Summary: New port: finance/trytond_account_de_skr03
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-29 20:30 UTC by Matthias Petermann
Modified: 2012-09-19 13:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.63 KB, text/plain)
2012-08-29 20:30 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-08-29 20:30:10 UTC
This port adds the trytond_acount_de_skr03 module to Tryton. This module provides the standardized chart of account for Germany.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-08-29 20:30:21 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Wen Heping freebsd_committer 2012-09-08 02:20:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 3 Boris Samorodov freebsd_committer 2012-09-19 10:46:00 UTC
Responsible Changed
From-To: wen->bsam

I'll help Wen to adopt those ports.
Comment 4 dfilter service freebsd_committer 2012-09-19 13:04:27 UTC
Author: bsam
Date: Wed Sep 19 12:04:10 2012
New Revision: 304497
URL: http://svn.freebsd.org/changeset/ports/304497

Log:
  Add trytond_account_de_skr03 2.4.0, the SKR03 chart of account which is
  used in Germany.
  
  PR:		ports/171170
  Submitted by:	matthias@petermann.it

Added:
  head/german/trytond_account_de_skr03/
  head/german/trytond_account_de_skr03/Makefile   (contents, props changed)
  head/german/trytond_account_de_skr03/distinfo   (contents, props changed)
  head/german/trytond_account_de_skr03/pkg-descr   (contents, props changed)
  head/german/trytond_account_de_skr03/pkg-plist   (contents, props changed)
Modified:
  head/german/Makefile

Modified: head/german/Makefile
==============================================================================
--- head/german/Makefile	Wed Sep 19 10:59:39 2012	(r304496)
+++ head/german/Makefile	Wed Sep 19 12:04:10 2012	(r304497)
@@ -45,6 +45,7 @@
     SUBDIR += selfhtml
     SUBDIR += steak
     SUBDIR += tipp10
+    SUBDIR += trytond_account_de_skr03
     SUBDIR += unix-connect
     SUBDIR += vtiger
     SUBDIR += webalizer2

Added: head/german/trytond_account_de_skr03/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/german/trytond_account_de_skr03/Makefile	Wed Sep 19 12:04:10 2012	(r304497)
@@ -0,0 +1,20 @@
+# Created by:	Matthias Petermann<matthias@petermann.it>
+# $FreeBSD$
+
+PORTNAME=	trytond_account_de_skr03
+PORTVERSION=	2.4.0
+CATEGORIES=	german finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	The SKR03 chart of account which is used in Germany
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_account>=2.4.1:${PORTSDIR}/finance/trytond_account
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/german/trytond_account_de_skr03/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/german/trytond_account_de_skr03/distinfo	Wed Sep 19 12:04:10 2012	(r304497)
@@ -0,0 +1,2 @@
+SHA256 (trytond_account_de_skr03-2.4.0.tar.gz) = ab1cbad3a85bcbbf8c2f0c2762a3ca820a901f97d2f404bd70c45307df8991cc
+SIZE (trytond_account_de_skr03-2.4.0.tar.gz) = 73105

Added: head/german/trytond_account_de_skr03/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/german/trytond_account_de_skr03/pkg-descr	Wed Sep 19 12:04:10 2012	(r304497)
@@ -0,0 +1,3 @@
+This module provides the SKR03 chart of account which is used in Germany.
+
+WWW: http://www.tryton.org/

Added: head/german/trytond_account_de_skr03/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/german/trytond_account_de_skr03/pkg-plist	Wed Sep 19 12:04:10 2012	(r304497)
@@ -0,0 +1,21 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/account_de.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/locale/de_DE.po
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_de_skr03
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Boris Samorodov freebsd_committer 2012-09-19 13:05:54 UTC
State Changed
From-To: open->closed

Committed, thanks.